classification
Title: poplib should support SSL contexts
Type: enhancement Stage:
Components: Library (Lib) Versions: Python 3.2
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: giampaolo.rodola Nosy List: giampaolo.rodola, janssen, pitrou
Priority: normal Keywords: patch

Created on 2010-05-24 16:10 by pitrou, last changed 2010-08-17 16:11 by giampaolo.rodola. This issue is now closed.

Files
File name Uploaded Description Edit
poplib.patch giampaolo.rodola, 2010-05-26 20:06
Messages (4)
msg106367 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2010-05-24 16:10
3.2 introduces SSL contexts, which allow bundling SSL configuration options, certificates and private keys into a single (potentially long-lived) structure.
http://docs.python.org/dev/py3k/library/ssl.html#ssl.SSLContext

The POP3_SSL constructor should allow passing an SSL context object instead of a key/cert pair.
msg106574 - (view) Author: Giampaolo Rodola' (giampaolo.rodola) * (Python committer) Date: 2010-05-26 20:06
Patch in attachment.
The same approach adopted for ftplib (issue 8806) was used.
msg106777 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2010-05-30 19:34
There's the problem mentioned by Ezio: it breaks compatibility if someone passed a timeout to POP3_SSL by position (rather than by name).
msg114132 - (view) Author: Giampaolo Rodola' (giampaolo.rodola) * (Python committer) Date: 2010-08-17 16:11
Committed in r84144 including "context" being the last constructor argument.
History
Date User Action Args
2010-08-17 16:11:12giampaolo.rodolasetstatus: open -> closed
resolution: fixed
messages: + msg114132
2010-08-17 15:08:15giampaolo.rodolasetassignee: giampaolo.rodola
2010-05-30 19:34:53pitrousetmessages: + msg106777
2010-05-26 20:06:36giampaolo.rodolasetfiles: + poplib.patch
keywords: + patch
messages: + msg106574
2010-05-24 18:17:02giampaolo.rodolasetnosy: + janssen
2010-05-24 16:10:52pitroucreate